FIX::DataDictionary::MessageFieldsOrderHolder Struct Reference
Collaboration diagram for FIX::DataDictionary::MessageFieldsOrderHolder:
[legend]

## Public Member Functions

| MessageFieldsOrderHolder ()
| ~MessageFieldsOrderHolder ()
void | push_back (int field)
const message_order & | getMessageOrder () const

## Private Attributes

message_order | m_msgOrder
OrderedFields | m_orderedFlds

## Detailed Description

Definition at line 58 of file DataDictionary.h.

## Constructor & Destructor Documentation

## MessageFieldsOrderHolder()

FIX::DataDictionary::MessageFieldsOrderHolder::MessageFieldsOrderHolder | ( |  | ) |

inline

Definition at line 60 of file DataDictionary.h.

{}

## ~MessageFieldsOrderHolder()

FIX::DataDictionary::MessageFieldsOrderHolder::~MessageFieldsOrderHolder | ( |  | ) |

inline

Definition at line 63 of file DataDictionary.h.

{}

## Member Function Documentation

## getMessageOrder()

const message_order & FIX::DataDictionary::MessageFieldsOrderHolder::getMessageOrder | ( |  | ) | const

inline

Definition at line 71 of file DataDictionary.h.

{
if (m_msgOrder)
return m_msgOrder;
int * tmp = new int[m_orderedFlds.size() + 1];
int * i = tmp;
OrderedFields::const_iterator iter;
for( iter = m_orderedFlds.begin(); iter != m_orderedFlds.end(); *(i++) = *(iter++) ) {}
*i = 0;
m_msgOrder = message_order(tmp);
delete [] tmp;
return m_msgOrder;
}
FIX::DataDictionary::MessageFieldsOrderHolder::m_msgOrder
message_order m_msgOrder
Definition DataDictionary.h:91
FIX::DataDictionary::MessageFieldsOrderHolder::m_orderedFlds
OrderedFields m_orderedFlds
Definition DataDictionary.h:92

References m_msgOrder, and m_orderedFlds.

## push_back()

void FIX::DataDictionary::MessageFieldsOrderHolder::push_back | ( | int | field | ) |

inline

Definition at line 66 of file DataDictionary.h.

{
m_orderedFlds.push_back(field);
}

References m_orderedFlds.

## Member Data Documentation

## m_msgOrder

message_order FIX::DataDictionary::MessageFieldsOrderHolder::m_msgOrder

mutable private

Definition at line 91 of file DataDictionary.h.

Referenced by getMessageOrder().

## m_orderedFlds

OrderedFields FIX::DataDictionary::MessageFieldsOrderHolder::m_orderedFlds

private

Definition at line 92 of file DataDictionary.h.

Referenced by getMessageOrder(), and push_back().

The documentation for this struct was generated from the following file:

- DataDictionary.h